Time frame options for dashboard
Closed, ResolvedPublic5 Story Points

Description

Can we have time frame options for week, month, quarter like other dashboards?

Ability to free form filter a date range to: and from: as well please.

Wwes created this task.Oct 27 2015, 5:35 PM
Wwes updated the task description. (Show Details)
Wwes raised the priority of this task from to Needs Triage.
Wwes added a project: Discovery.
Wwes added a subscriber: Wwes.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 5:35 PM
Deskana moved this task from Needs triage to Analysis on the Discovery board.Oct 27 2015, 5:41 PM
Deskana triaged this task as Normal priority.
Deskana added a subscriber: Deskana.
Deskana added a comment.EditedOct 27 2015, 9:21 PM

This refers to the new dashboard at https://discovery.wmflabs.org/external/, and is comprised of two requests:

  1. Use existing time-frame dropdown shown on https://discovery.wmflabs.org/metrics/ et. al. (i.e. Yesterday, 7 days, 30 days, etc.)
  2. Add new option to specify arbitrary date range on graph output

Shall we break these out into separate tasks?

Deskana raised the priority of this task from Normal to High.Oct 27 2015, 9:25 PM
Deskana set Security to None.
mpopov added a subscriber: mpopov.Oct 27 2015, 9:41 PM

Howdy! We'd love to look into this. Could you please clarify a couple of things for us?

What do you mean time frame options like other dashboards? Do you mean the time frame selector on the KPI summary page of the search metrics dashboard (http://discovery.wmflabs.org/metrics/#kpis_summary)? Because the other ones services/teams would need KPIs first.

If you mean the ability to just focus on a time range in the interactive time series graphs, we already have that but we should have documented it better (read: at all). You can click and drag to zoom in, and then double-click to zoom out. Or are you looking for a drop-down menu like on that summary page where you specify the date range and it zooms in for you?

This refers to the new dashboard at https://discovery.wmflabs.org/external/, and is comprised of two requests:

  1. Use existing time-frame dropdown shown on https://discovery.wmflabs.org/metrics/ et. al. (i.e. Yesterday, 7 days, 30 days, etc.)

What's the summary metric you're interested in? The % of traffic from search engines with breakdowns by top 5 search engines?

  1. Add new option to specify arbitrary date range on graph output

(See comment above.)

ksmith added a subscriber: ksmith.Oct 29 2015, 8:08 PM

@Wwes: Can you answer these questions? We're not sure exactly what is being requested. Thanks!

@Wwes: Can you answer these questions? We're not sure exactly what is being requested. Thanks!

I chatted to @Wwes yesterday, sorry I've not had the chance to update this yet. @mpopov is absolutely correct that this functionality actually exists, but it's somewhat awkward to use and isn't obvious. A date range specifier (or two date specifiers, one for start date and one for end date) under the graph to bound the time series by those dates would be ideal.

Totally doable. And on Mikhail's first question?

Sorry for the delayed response.

So for the first question the result would be the PV per service with % change for the given date range.

Gotcha. Should be doable; I'll work on standardising the functionality in polloi, too.

Ironholds edited a custom field.Nov 1 2015, 3:19 PM
mpopov claimed this task.Nov 3 2015, 12:34 AM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 251174 had a related patch set uploaded (by Bearloga):
Add time frame selection (preset custom) > Added an option to view last 7/30/90 days or have a custom range > Uses global setting by default with ability to override for "local" plot > This is independent of the KPI date range stuff because that g

https://gerrit.wikimedia.org/r/251174

Change 251174 merged by OliverKeyes:
Add time frame selection (preset custom) > Added an option to view last 7/30/90 days or have a custom range > Uses global setting by default with ability to override for "local" plot > This is independent of the KPI date range stuff because that g

https://gerrit.wikimedia.org/r/251174

Deskana closed this task as Resolved.Nov 19 2015, 1:43 AM